Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.lib.sql
Class QueryParameter

    java.lang.Object
      |
      +--weblogic.apache.xalan.lib.sql.QueryParameter

public class QueryParameter
extends java.lang.Object

Title:

Description:

Copyright: Copyright (c)

Company:

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  1.0

Constructor Summary
`QueryParameter(java.lang.String v, java.lang.String t)`

Method Summary
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`void` | `setType(java.lang.String newType)`
`void` | `setValue(java.lang.String newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryParameter

    public QueryParameter(java.lang.String v,
                          java.lang.String t)

  Parameters:
    `v` -
    `t` -

Method Detail

### getValue

    public java.lang.String getValue()

  Returns:

### setValue

    public void setValue(java.lang.String newValue)

  Parameters:
    `newValue` -
  Returns:

### setType

    public void setType(java.lang.String newType)

  Parameters:
    `newType` -
  Returns:

### getType

    public java.lang.String getType()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference